## kernel-image-2.4.17-s390 2.4.17-2.woody.4

=== debian/changelog ===
kernel-image-2.4.17-s390 (2.4.17-2.woody.4) stable-security; urgency=high

  * Rebuild against latest kernel-patch-2.4.17-s390_0.0.20020816-0.woody.3,
    which includes the follwing additional security fixes:
    - Applied patch by Petr Vandrovec <vandrove@vc.cvut.cz> to fix a
      possible roothole in ncpfs discovered by Arjan van de Ven
      <arjanv@devserv.devel.redhat.com> [fs/ncpfs/dir.c, CAN-2004-0010]
    - Applied patch by Sebastian Krahmer <krahmer@suse.de> and Ernie
      Petrides <petrides@redhat.com> to fix a local root exploit in iso9660
      [fs/isofs/rock.c, CAN-2004-0109]
    - Applied patch by Alan Cox and Thomas Biege to fix local root exploit
      in the R128 DRI code [drivers/char/drm/r128_state.c, CAN-2004-0003]
    - Applied additional patch by Ernie Petrides <petrides@redhat.com> to
      fix another intance of the same
    - Applied patch by Theodore Ts'o <tytso@mit.edu> to fix an information
      leak in ext3 journal creation [fs/jbd/journal.c, CAN-2004-0177]
    - Applied patch by Andreas Kies <andikies@t-online.de> to fix local
      denial of service in the Sound Blaster driver
      [drivers/sound/sb_audio.c, CAN-2004-0178]

 -- Arnd Bergmann <arnd@debian.org>  Sun, 11 Apr 2004 22:53:35 +0200

kernel-image-2.4.17-s390 (2.4.17-2.woody.3) stable-security; urgency=high
  * Rebuild against latest kernel-patch-2.4.17-s390_0.0.20020816-0.woody.2,
    which includes the follwing additional security fixes:
    - CAN-2003-0961: Added TASK_SIZE check to do_brk() [mm/mmap.c]
    - CAN-2003-0985: Applied patch by Andrea Arcangeli to fix local 
      privilege escalation discovered by Paul Starzetz [mm/mremap.c]
    - CAN-2004-0077: Applied patch extracted from Solar Designer's Owl 
      patched kernel to fix local privilege escalation discovered by Paul
      Starzetz [mm/mremap.c]
    - CAN-2003-0001: Multiple ethernet Network Interface Card (NIC) device
      drivers do not pad frames with null bytes, which allows remote
      attackers to obtain information from previous packets or kernel
      memory by using malformed packets
    - CAN-2003-0244: The route cache implementation in Linux 2.4, and the
      Netfilter IP conntrack module, allows remote attackers to cause a
      denial of service (CPU consumption) via packets with forged
      source addresses that cause a large number of hash table
      collisions related to the PREROUTING chain
    - CAN-2003-0246: The ioperm system call in Linux kernel 2.4.20 and earlier
      does not properly restrict privileges, which allows local users to
      gain read or write access to certain I/O ports.
    - CVE-2002-0429: The iBCS routines in arch/i386/kernel/traps.c for Linux
      kernels 2.4.18 and earlier on x86 systems allow local users to kill
      arbitrary processes via a a binary compatibility interface (lcall)
    - CAN-2003-0248: The mxcsr code in Linux kernel 2.4 allows attackers to
      modify CPU state registers via a malformed address.
    - CAN-2003-0247: vulnerability in the TTY layer of the Linux kernel 2.4
      allows attackers to cause a denial of service ("kernel oops")
    - CAN-2003-0364: The TCP/IP fragment reassembly handling in the Linux
      kernel 2.4 allows remote attackers to cause a denial of service (CPU
      consumption) via certain packets that cause a large number of hash
      table collisions
  * New Maintainer

 -- Arnd Bergmann <arnd@debian.org>  Wed, 18 Feb 2003 12:15:23 +0100

kernel-image-2.4.17-s390 (2.4.17-2.woody.2.2) stable-security; urgency=high

  * NMU
  * revert accidental configuration changes

 -- Arnd Bergmann <arnd@arndb.de>  Thu, 03 Apr 2003 10:58:12 +0100

kernel-image-2.4.17-s390 (2.4.17-2.woody.2.1) stable-security; urgency=high

  * NMU
  * Use new kernel-patch with a different fix for the ptrace
    security problem, provided by Martin Schwidefsky.
  * drop all non-security fixes relative to 2.4.17-2.woody.1.1.

 -- Arnd Bergmann <arnd@arndb.de>  Fri, 28 Mar 2003 17:05:23 +0100

kernel-image-2.4.17-s390 (2.4.17-2.woody.2) stable; urgency=high

  * Integrated new kernel-patches from the IBM Developerworks
    website which fix some severe problems (released on
    2002.11.25, 2003.02.20 and 2003.03.17).
  * Integrated a patch by Allan Cox to fix a ptrace related
    security problem (backport from kernel version 2.4.20)

 -- Jochen Rhrig <jr@debian.org>  Tue, 25 Mar 2003 22:48:35 +0100

kernel-image-2.4.17-s390 (2.4.17-2.woody.1.1) stable; urgency=high

  * NMU
  * Integrated a new kernel-patch from the IBM Developerworks
    website (released on 2002.06.12).
    This patch fixes the DASD deadlock problem and some other severe
    problems.
  * Removed NMU DASD deadlock fix.
  * Integrated a new kernel-patch from the IBM Developerworks
    website (released on 2002.08.16).
    This patch fixes a problem related to the IUCV driver.

 -- Gerhard Tonn <gt@debian.org>  Fri, 08 Nov 2002 21:37:40 +0100

kernel-image-2.4.17-s390 (2.4.17-2.1) unstable; urgency=high

  * NMU
  * Rebuilt with kernel-patch-2.4.17-s390 0.0.20020415-1.1 which
    fixes a possible DASD deadlock

 -- Stefan Gybas <sgybas@debian.org>  Mon, 29 Apr 2002 21:15:18 +0200

kernel-image-2.4.17-s390 (2.4.17-2) unstable; urgency=high

  * Integrated a new kernel-patch from the IBM Developerworks
    website (released on 2002.04.15).
  * Added cpint-patch by Neale Ferguson which allows to invoke CP commands
    from Linux.
  * Added cmsfs-patch by Rick Troth <rtroth@bmc.com> which enables read
    only access to CMS disks.

 -- Jochen Rhrig <jr@debian.org>  Tue, 16 Apr 2002 20:14:50 +0200

kernel-image-2.4.17-s390 (2.4.17-1) unstable; urgency=low

  * New upstream release.
  * Use kernel-patch-2.4.17-s390.
  * First kernel-image package including the freshly open sourced lcs
    network driver module which was only available from the IBM
    Developerworks website as object code only module so far. 

 -- Jochen Rhrig <jr@debian.org>  Wed,  6 Mar 2002 21:25:25 +0100


