=== debian/control ===
Source: kernel-image-2.4.17-s390
Section: devel
Priority: optional
Maintainer: Arnd Bergmann <arnd@debian.org>
Uploaders: Gerhard Tonn <gt@debian.org>, Jochen Rhrig <jr@debian.org>
Standards-Version: 3.5.6
Build-Depends: debhelper (>= 3.0.51), modutils (>= 2.4.11), kernel-source-2.4.17 (>=2.4.17-1woody3), kernel-patch-2.4.17-s390 (>= 0.0.20020816-0.woody.3), kernel-package (>= 7.83)

Package: kernel-headers-2.4.17
Architecture: s390
Section: devel
Priority: optional
Depends: fileutils (>= 4.1)
Provides: kernel-headers, kernel-headers-2.4
Description: Header files related to Linux kernel version 2.4.17 on IBM S/390
 This package provides kernel header files for version 2.4.17 on IBM S/390,
 for sites that want the latest kernel headers. 

Package: kernel-image-2.4.17-s390
Architecture: s390
Section: base
Priority: optional
Provides: kernel-image, kernel-image-2.4
Depends: fileutils (>= 4.1), modutils (>= 2.4.11)
Suggests: s390-tools, kernel-doc-2.4.17
Description: Linux kernel image for kernel version 2.4.17 on IBM S/390
 This package contains the Linux kernel image for kernel version 2.4.17
 on IBM S/390, the corresponding System.map file, and the modules
 built by the packager. It also contains scripts that try to ensure
 that the system is not left in an unbootable state after an update.
 .
 This kernel has support to IPL (boot) from a VM reader or DASD device.
 It includes the following patches released by IBM for the Linux kernel
 version 2.4.17:
  * linux-2.4.17-s390.tar.gz           (released on 2002.02.05)
  * linux-2.4.17-s390-1-lcs.tar.gz     (released on 2002.03.04)
  * linux-2.4.17-s390-2.tar.gz         (released on 2002.04.15)
  * linux-2.4.17-s390-3.tar.gz         (released on 2002.06.12)
  * linux-2.4.17-s390-4-iucv.tar.gz    (released on 2002.08.16)
 Additionally it includes
  * a patch by Gerhard Tonn <gt@debian.org> which adds support for a
    second initrd (needed by the s390 boot-floppies);
  * the cpint-patch by Neal Ferguson which allows to invoke CP commands
    from Linux;
  * the cmsfs-patch by Rick Troth <rtroth@bmc.com> which enables read
    only access to CMS disks;
  * a patch by Martin Schwidefsky to fix a ptrace related security problem.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.
