=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Arnd Bergmann <arnd@debian.org>
 Uploaders: Gerhard Tonn <gt@debian.org>, Jochen Rhrig <jr@debian.org>
 Standards-Version: 3.5.6
-Build-Depends: debhelper (>= 3.0.51), modutils (>= 2.4.11), kernel-source-2.4.17 (>=2.4.17-1woody3), kernel-patch-2.4.17-s390 (>= 0.0.20020816-0.woody.3), kernel-package (>= 7.83)
+Build-Depends: debhelper (>= 3.0.51), modutils (>= 2.4.11), kernel-source-2.4.17 (>=2.4.17-1woody4), kernel-patch-2.4.17-s390 (>= 0.0.20020816-0.woody.3), kernel-package (>= 7.83)
 
 Package: kernel-headers-2.4.17
 Architecture: s390
